Package org.apache.lucene.facet.taxonomy

## Class SearcherTaxonomyManager.SearcherAndTaxonomy

- java.lang.Object
- - org.apache.lucene.facet.taxonomy.SearcherTaxonomyManager.SearcherAndTaxonomy

- Enclosing class:
    SearcherTaxonomyManager

      public static class SearcherTaxonomyManager.SearcherAndTaxonomy
      extends Object

  Holds a matched pair of `IndexSearcher` and `TaxonomyReader`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `IndexSearcher` | `searcher` | Point-in-time `IndexSearcher`.
    `DirectoryTaxonomyReader` | `taxonomyReader` | Matching point-in-time `DirectoryTaxonomyReader`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SearcherAndTaxonomy​(IndexSearcher searcher, DirectoryTaxonomyReader taxonomyReader)` | Create a SearcherAndTaxonomy

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### searcher

          public final IndexSearcher searcher

      Point-in-time `IndexSearcher`.

    - #### taxonomyReader

          public final DirectoryTaxonomyReader taxonomyReader

      Matching point-in-time `DirectoryTaxonomyReader`.

  - ### Constructor Detail

    - #### SearcherAndTaxonomy

          public SearcherAndTaxonomy​(IndexSearcher searcher,
                                     DirectoryTaxonomyReader taxonomyReader)

      Create a SearcherAndTaxonomy